//---------------------------------------------------------------------------
// Flight Simulator X - Shader Effect Files
// Copyright (c) 2006, Microsoft Corporation
//---------------------------------------------------------------------------
//
// Basic aircraft shader
//

#include <Common.fxh>

const bool EffectDeclaration
<
    string Name      = "Aircraft";
    string Class     = "Aircraft";
    string Features  = "FixedFunction";
> = true;

texture BaseTexture : TEXTURE0;

technique T0
<
>
{
    pass P0
    {
        #include <OneStageDefault.fxh>

        Texture[0]               = (BaseTexture);
        ColorArg1[0]             = Texture;
        ColorArg2[0]             = Diffuse;
        ColorOp[0]               = Modulate;
        AlphaArg2[0]             = Diffuse;
        AlphaOp[0]               = SelectArg2;

        AlphaBlendEnable         = (State_AlphaBlendEnable);
        SrcBlend	             = SrcAlpha;
        DestBlend	             = InvSrcAlpha;
    }
}


