//---------------------------------------------------------------------------
// Flight Simulator X - Shader Effect Files
// Copyright (c) 2006, Microsoft Corporation
//---------------------------------------------------------------------------
#include "Water20.fxh"

const bool EffectDeclaration
<
    string Name      = "Water20FX_Detail";
    string Class     = "Basic";
    string Features  = "Bump";
    string Fallback  = "Texture";
    bool   NewMaterialUsage = true;
> = true;

technique Water30FX
<
    string Fallback    = "Water30";
    int    Performance = EffectPerfLevel_MaxShader30;
>
{
    pass p0
    {
        #include <DefaultStates.fxh>

        VertexShader = compile vs_3_0 Water20VSFX_Detail();
        PixelShader = compile ps_3_0 Water30PSFX_Detail();
        ColorWriteEnable = Red | Green | Blue;
        ZWriteEnable     = True;
        AlphaBlendEnable = (State_AlphaBlendEnable);
        SrcBlend         = (State_SrcBlend);
        DestBlend        = (State_DstBlend);
    }
}

technique Water20FX
<
    string Fallback    = "Water20";
    int    Performance = EffectPerfLevel_MaxShader30;
>
{
    pass p0
    {
        #include <DefaultStates.fxh>

        VertexShader = compile vs_3_0 Water20VSFX_Detail();
        PixelShader = compile ps_3_0 Water30PSFX_Detail();
        ColorWriteEnable = Red | Green | Blue;
        ZWriteEnable     = True;
        AlphaBlendEnable = (State_AlphaBlendEnable);
        SrcBlend         = (State_SrcBlend);
        DestBlend        = (State_DstBlend);
    }
}
