//------------------------------------------------------------------------------
// Copyright (c) Microsoft Corporation.  All Rights Reserved.
//------------------------------------------------------------------------------

#define WaterClass 0
#if !defined(SHD_WATER_DEBUG)
    #define GET_CONSTANT_BASE_INDEX(class, offset) (g_fStaticWaterConstants[(class*MAX_CONSTANT_SET_COUNT)+offset])
#else
    #define GET_CONSTANT_BASE_INDEX(class, offset) (g_fWaterConstants[(class*MAX_CONSTANT_SET_COUNT)+offset])
#endif

#define GET_FresnelFactorMin (GET_CONSTANT_BASE_INDEX(WaterClass, 0))
#define GET_FresnelFactorMax (GET_CONSTANT_BASE_INDEX(WaterClass, 1))
#define GET_SpecularPower (GET_CONSTANT_BASE_INDEX(0, 2))
#define GET_SpecularBoost (GET_CONSTANT_BASE_INDEX(0, 3))
#define GET_SpecularBlend (GET_CONSTANT_BASE_INDEX(0, 4))
#define GET_WhiteCapPower (GET_CONSTANT_BASE_INDEX(WaterClass, 5))
#define GET_BumpUVScale1 (GET_CONSTANT_BASE_INDEX(WaterClass, 6))
#define GET_BumpUVScale2 (GET_CONSTANT_BASE_INDEX(WaterClass, 7))
#define GET_BumpUVScale3 (GET_CONSTANT_BASE_INDEX(WaterClass, 8))
#define GET_BumpUVScaleDetail (GET_CONSTANT_BASE_INDEX(WaterClass, 9))
#define GET_BumpRotation1 (GET_CONSTANT_BASE_INDEX(WaterClass, 10))
#define GET_BumpRotation2 (GET_CONSTANT_BASE_INDEX(WaterClass, 11))
#define GET_BumpRotation3 (GET_CONSTANT_BASE_INDEX(WaterClass, 12))
#define GET_BumpRotationDetail (GET_CONSTANT_BASE_INDEX(WaterClass, 13))
#define GET_BumpBlend1 (GET_CONSTANT_BASE_INDEX(WaterClass, 14))
#define GET_BumpBlend2 (GET_CONSTANT_BASE_INDEX(WaterClass, 15))
#define GET_BumpBlend3 (GET_CONSTANT_BASE_INDEX(WaterClass, 16))
#define GET_BumpBlendDetail (GET_CONSTANT_BASE_INDEX(WaterClass, 17))
#define GET_BumpWind1 (GET_CONSTANT_BASE_INDEX(WaterClass, 18))
#define GET_BumpWind2 (GET_CONSTANT_BASE_INDEX(WaterClass, 19))
#define GET_BumpWind3 (GET_CONSTANT_BASE_INDEX(WaterClass, 20))
#define GET_BumpWindDetail (GET_CONSTANT_BASE_INDEX(WaterClass, 21))
#define GET_BumpTimeX1 (GET_CONSTANT_BASE_INDEX(WaterClass, 22))
#define GET_BumpTimeX2 (GET_CONSTANT_BASE_INDEX(WaterClass, 23))
#define GET_BumpTimeX3 (GET_CONSTANT_BASE_INDEX(WaterClass, 24))
#define GET_BumpTimeXDetail (GET_CONSTANT_BASE_INDEX(WaterClass, 25))
#define GET_BumpTimeY1 (GET_CONSTANT_BASE_INDEX(WaterClass, 26))
#define GET_BumpTimeY2 (GET_CONSTANT_BASE_INDEX(WaterClass, 27))
#define GET_BumpTimeY3 (GET_CONSTANT_BASE_INDEX(WaterClass, 28))
#define GET_BumpTimeYDetail (GET_CONSTANT_BASE_INDEX(WaterClass, 29))
